C	justify_numeric_text
C	a routine which takes left justified text, and right justifies
C	it if it is all numeric with leading zeros
C
C	Joe H. Gallagher, 4GL Solutions, Overlang Park KS.
C
C	Refer to the Combined Newsletters August 1988 Page DTR-19
C
	integer function justify_numeric_text(str_in, str_out)
	character*10 str_in, str_out
	integer*4 temp, status, ots$cvt_l_tu, ots$cvt_tu_l
	external ss$_normal
	status = ots$cvvt_tu_l(str_in, temp, %val(4), %val(1))
	if ( status .ne. %loc(ss$_normal)) then
		str_out = str_in
	else
		status = ots$cvt_l_tu(temp, str_out, %val(10))
	end if
	return
	end
